Fetch a specific document using its ID

Purpose: Use this API to fetch a specific document. You must enter the ID of the document that you are fetching. Refer to the Path Parameters section for more info.

Response Parameters

documents

  • Type: Array of Objects
  • Description: A list of documents associated with a particular category or reference number.

id

  • Type: Integer
  • Description: The unique identifier for the document.

category

  • Type: String
  • Description: The category of the document, e.g., "fuel receipt".

public_url

  • Type: String
  • Description: The URL to access the document.

ref_no

  • Type: String
  • Description: The reference number associated with the document.

notes

  • Type: String
  • Description: Notes associated with the document.

doc_date

  • Type: Date (YYYY-MM-DD)
  • Description: The date the document was created.

doc_fields

  • Type: Array of Objects
  • Description: Custom fields associated with the document (nullable).

doc_time

  • Type: DateTime
  • Description: The time the document was created.

id

  • Type: Integer
  • Description: The unique identifier for the uploader.

first_name

  • Type: String
  • Description: The first name of the uploader.

last_name

  • Type: String
  • Description: The last name of the uploader.

email

  • Type: String
  • Description: The email of the uploader.

role

  • Type: String
  • Description: The role of the uploader, e.g., "dispatcher".

deactivated_at

  • Type: DateTime
  • Description: The timestamp when the uploader was deactivated (nullable).

driver_company_id

  • Type: Integer
  • Description: The company ID of the uploader if they are a driver (nullable).

created_at

  • Type: DateTime
  • Description: The timestamp when the document was created.

updated_at

  • Type: DateTime
  • Description: The timestamp when the document was last updated.

Path Params
int32
required

Specify the ID of the document that you want to fetch.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json